=== io/CMakeLists.txt ===
add_subdirectory(bpf)
add_subdirectory(buffer)
add_subdirectory(derivative)
add_subdirectory(faux)
add_subdirectory(ilvis2)
add_subdirectory(las)
add_subdirectory(gdal)
add_subdirectory(null)
add_subdirectory(optech)
add_subdirectory(ply)
add_subdirectory(qfit)
add_subdirectory(sbet)
add_subdirectory(text)
add_subdirectory(terrasolid)
add_subdirectory(tindex)

set(PDAL_TARGET_OBJECTS ${PDAL_TARGET_OBJECTS} PARENT_SCOPE)
