=== kernels/CMakeLists.txt ===

add_subdirectory(delta)
add_subdirectory(diff)
add_subdirectory(info)
add_subdirectory(merge)
add_subdirectory(pipeline)
add_subdirectory(random)
add_subdirectory(sort)
add_subdirectory(tindex)
add_subdirectory(split)
add_subdirectory(translate)

set(PDAL_TARGET_OBJECTS ${PDAL_TARGET_OBJECTS} PARENT_SCOPE)
