=== tools/CMakeLists.txt ===
add_subdirectory(lasdump)
