=== debian/changelog ===
pdal (1.2.0-6) unstable; urgency=medium

  * Add patch to fix HDF5 include directory with CMake >= 3.6.0.
  * Add patch to fix bash-completion installation.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 16:37:51 +0200

pdal (1.2.0-5) unstable; urgency=medium

  * Append HDF5 include path for H5Cpp.h.
    (closes: #835668)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 12:27:40 +0200

pdal (1.2.0-4) unstable; urgency=medium

  * Set CMAKE_INSTALL_LIBDIR in configure options to fix build on Ubuntu.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Jul 2016 14:29:27 +0200

pdal (1.2.0-3) unstable; urgency=medium

  * Add patch to fix build failure on GNU/Hurd.
  * Add patch to use SOURCE_DATE_EPOCH instead of current date.
  * Add patch to not use deprecated sphinx.ext.pngmath.
    (closes: #829429)
  * Drop unused override for outdated-autotools-helper-file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 16:24:52 +0200

pdal (1.2.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for alpha, armel, armhf, mips64el, mipsel, sparc64 & x32.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Apr 2016 07:16:36 +0200

pdal (1.2.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Apr 2016 16:19:47 +0200

pdal (1.2.0-1~exp2) experimental; urgency=medium

  * Add libsqlite3-mod-spatialite to libpdal-plugin-sqlite dependencies.
  * Use system jsoncpp only if version is >= 1.6.2.
  * Add license & copyright for pcl_spec.rst.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Apr 2016 21:28:12 +0200

pdal (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Fix libpdal-dev suggests.
  * Override dh_python2 to call dh_numpy too.
  * Explicitly enable bash completion, no longer enabled by default.
  * Update copyright file, changes:
    - Update copyright years for Howard Butler & Hobu, Inc
    - Add Theodore Ts'o to copyright holders
    - Add license & copyright for jsoncpp & pdalboost files
    - Drop license & copyright for Endian.hpp, removed upstream
  * Drop patches, applied upstream.
  * Don't build PCL plugin, requires vtk5 (not in testing).
  * Don't build Attribute plugin, removed upstream.
  * Update install files for versioned plugins.
  * Rename library packages for SONAME bump.
  * Include libpdal_boost static library in libpdal-dev.
  * Add patch to not embed external logo images.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Apr 2016 23:23:58 +0200

pdal (1.1.0-5) unstable; urgency=medium

  * Don't build PCL plugin, requires vtk5 (not in testing).
    (closes: #820530)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Apr 2016 19:04:46 +0200

pdal (1.1.0-4) unstable; urgency=medium

  * Update symbols for kfreebsd-* & mips64el.
  * Set today in SPHINXOPTS for reproducible builds.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Mar 2016 23:39:09 +0100

pdal (1.1.0-3) unstable; urgency=medium

  * Add patch for further kFreeBSD support.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Mar 2016 07:16:46 +0100

pdal (1.1.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS on big endian architectures.
  * Add patch for kFreeBSD support.
  * Update symbols for i386, arm64 & ppc64el.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2016 21:01:45 +0100

pdal (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #797126)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2016 03:46:39 +0100
